1. Top up eSIM
Airalo Developer Platform
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • Developer feedback
    • Quick start
      • Step 1: Request access token
      • Step 2: Get packages
      • Step 3: Submit order
      • Step 4: Get installation instructions
    • Guides
      • How to set up a brand for eSIMs Cloud link sharing
      • How to get the eSIMs Cloud sharing link through API
      • How to generate the QR code for an eSIM
      • eSIM installation methods for API Partners
  • REST API
    • Introduction
    • Rate limits
    • Error handling
    • Go live checklist
    • Sandbox mode
    • Endpoints
      • Authenticate
        • Request access token
      • Browse packages
        • Get packages
      • Place order
        • Future orders
        • Submit order
        • Submit order async
        • eSIM voucher
      • Request refund
        • Request refund
      • Install eSIM
        • Get eSIM
        • Get installation instructions
      • Monitor usage
        • Get usage (data, text & voice)
      • Top up eSIM
        • Get top-up package list
          GET
        • Submit top-up order
          POST
      • Manage orders
        • Get order list
        • Get order
        • Cancel future orders
        • Future Orders
      • Manage eSIMs
        • Update eSIM brand
        • Get eSIMs list
        • Get eSIM package history
      • Compatible devices
        • [Deprecated] Get compatible device list
        • Get compatible device lite list
      • Notifications
        • Airalo webhooks opt-in and flow
        • Webhooks guide
        • Webhook definition
        • Notification: Low data
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Credit limit
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Async orders
          • Opt in
          • Get notification details
          • Opt out
        • Webhook simulator
      • Check balance
        • Get balance
  • SDKs
    • Introduction
    • SDK vs. REST API
    • Technical notes
  • WOOCOMMERCE PLUGIN
    • Introduction
    • Guides
      • How to install the Airalo Plugin for WooCommerce
      • How to customize the "My eSIMs" page colors in WooCommerce
      • How to convert prices into your local currency
  1. Top up eSIM

Submit top-up order

POST
/v2/orders/topups
To submit a top-up order:
This endpoint allows you purchase a top-up package for a specific eSIM providing the below parameters to your request:
1.
package_id: The ID of the top-up package you want to purchase.
2.
iccid: The ICCID of the eSIM for which you want to purchase the top-up package.
You can also include an optional description field to provide additional information about the order.
The API will respond with a JSON object containing the details of the order, including the package ID, quantity, price, and other relevant information.
The complete workflow for buying a top-up package:
1.
Call the GET eSIMS list to see the list of previously purchased eSIMs
2.
Call the Get top-up package list to see the list of available top-ups for the eSIM providing its iccid you retrieved from point 1.
3.
Submit an order on Submit top-up order endpoint
with the iccid you wish to buy the top-up package for, and provide also package_idof the top-up package to purchase.
4.
Call the Get eSIM package history endpoint
to see the list of all packages bought for that eSIM.
For more information and best practices visit our FAQ page

Request

Header Params

Body Params multipart/form-data

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://partners-api.airalo.com/v2/orders/topups' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{token}}' \
--header 'url: https://partners-api.airalo.com' \
--form 'package_id="change-7days-1gb-topup"' \
--form 'iccid="873000000000042542"' \
--form 'description="Example description to identify the order"'

Responses

🟢200Submit Top-up Order: 200 OK
application/json
Bodyapplication/json

Examples
{
    "data": {
        "id": 111,
        "code": "20251118-000111",
        "package_id": "change-7days-1gb-topup",
        "currency": "USD",
        "quantity": 1,
        "type": "topup",
        "description": "Topup (873000000000042542)",
        "esim_type": "local",
        "validity": 7,
        "package": "Change-1 GB - 7 Days",
        "data": "1 GB",
        "price": 4.5,
        "pricing_model": "net_pricing",
        "text": null,
        "voice": null,
        "net_price": 3.6,
        "created_at": "2025-11-18 13:37:07",
        "manual_installation": "<p><b>eSIM name:</b> Change</p><p><b>Coverage: </b>United States</p><p><b>To manually activate the eSIM on your eSIM capable device:</b></p><ol><li>Settings > Cellular/Mobile > Add Cellular/Mobile Plan.</li><li>Manually enter the SM-DP+ Address and activation code.</li><li>Confirm eSIM plan details.</li><li>Label the eSIM.</li></ol><p><b>To access Data:</b></p><ol><li>Enable data roaming.</li></ol>",
        "qrcode_installation": "<p><b>eSIM name:</b> Change</p><p><b>Coverage: </b>United States</p><p><b>To activate the eSIM by scanning the QR code on your eSIM capable device you need to print or display this QR code on other device:</b></p><ol><li>Settings > Cellular/Mobile > Add Cellular/Mobile Plan.</li><li>Scan QR code.</li><li>Confirm eSIM plan details.</li><li>Label the eSIM.</li></ol><p><b>To access Data:</b></p><ol><li>Enable data roaming.</li></ol>",
        "installation_guides": {
            "en": "https://www.airalo.com/help/getting-started-with-airalo"
        }
    },
    "meta": {
        "message": "success"
    }
}
🟠422Submit Top-up Order: 422 (Purchase limit exceeded)
🟠422Submit Top-up Order: 422 (Required fields are missing)
🟠422Submit Top-up Order: 422 (Invalid package id)
🟠422Submit Top-up Order: 422 (Recycled sim)
🟢200(Discount pricing) Submit Top-up Order
Modified at 2026-05-07 13:30:53
Previous
Get top-up package list
Next
Manage orders
Built with